---@meta

---@class FDLDDIffusionBlacklistData : FTableRowBase
---@field Vocab FString
---@field Values TArray<int32>
---@field bShouldRuntimeGen boolean
local FDLDDIffusionBlacklistData = {}



---@class FDLDDIffusionPromptEnhancing : FTableRowBase
---@field Key FString
---@field Values TArray<FString>
local FDLDDIffusionPromptEnhancing = {}



---@class FDLDDIffusionTokenizerBPEMerge : FTableRowBase
---@field Left FString
---@field Right FString
---@field Value int32
local FDLDDIffusionTokenizerBPEMerge = {}



---@class FDLDDIffusionTokenizerVocab : FTableRowBase
---@field Vocab FString
---@field Value int32
local FDLDDIffusionTokenizerVocab = {}



---@class FDLDDiffusionNormalDistribution
local FDLDDiffusionNormalDistribution = {}


---@class FDLDDiffusionPhilox
local FDLDDiffusionPhilox = {}


---@class FDLDDiffusionRequest
local FDLDDiffusionRequest = {}


---@class FDLDImg2MeshRequest
local FDLDImg2MeshRequest = {}


---@class FDLDMedia2MotionRequest
local FDLDMedia2MotionRequest = {}


---@class FDLDMeshSymmetryRequest
local FDLDMeshSymmetryRequest = {}


---@class FDLDNSFWDetectorRequest
local FDLDNSFWDetectorRequest = {}


---@class FDLDONNXAIArchitectureBoundingBox
---@field Min FDLDONNXAIArchitectureCoordinate3D
---@field Max FDLDONNXAIArchitectureCoordinate3D
local FDLDONNXAIArchitectureBoundingBox = {}



---@class FDLDONNXAIArchitectureCoordinate3D
---@field X float
---@field Y float
---@field Z float
local FDLDONNXAIArchitectureCoordinate3D = {}



---@class FDLDONNXAIArchitectureFloorPlanRowData
---@field Values TArray<int32>
local FDLDONNXAIArchitectureFloorPlanRowData = {}



---@class FDLDONNXAIArchitectureFloorPlanTableRow : FTableRowBase
---@field ID FName
---@field Matrix TArray<FDLDONNXAIArchitectureFloorPlanRowData>
local FDLDONNXAIArchitectureFloorPlanTableRow = {}



---@class FDLDONNXImg2MeshGRID
local FDLDONNXImg2MeshGRID = {}


---@class FDLDSafetyCheckOutput
local FDLDSafetyCheckOutput = {}


---@class FDLDSafetyCheckRequest
local FDLDSafetyCheckRequest = {}


---@class FDLDTTSRequest
local FDLDTTSRequest = {}


---@class FDLDTextEmbeddingData : FTableRowBase
---@field bUseOnlySubQuestion boolean
---@field bIsEscapeAnswer boolean
---@field ID int32
---@field Input FString
---@field SubInputs TArray<FString>
---@field Keywords TArray<FString>
---@field Answers TArray<FString>
---@field MeowAnswers TArray<FString>
local FDLDTextEmbeddingData = {}



---@class FDLDTextEmbeddingEmbedData : FTableRowBase
---@field ID int32
---@field Input FString
---@field Embedding TArray<float>
local FDLDTextEmbeddingEmbedData = {}



---@class FDLDTextEmbeddingRequest
local FDLDTextEmbeddingRequest = {}


---@class UDLDONNXAIArchitecture : UObject
---@field FloorPlanDataTable UDataTable
---@field ClipONNX UDLDONNX
local UDLDONNXAIArchitecture = {}



---@class UDLDONNXDiffusion : UObject
---@field TextEncoderONNX UDLDONNX
---@field UNetONNX UDLDONNX
---@field VaeDecoderONNX UDLDONNX
---@field MobilenetONNX UDLDONNX
---@field DiffusionBackgroundRemoveModelONNX UDLDONNX
local UDLDONNXDiffusion = {}



---@class UDLDONNXImg2Mesh : UObject
---@field U2Net UDLDONNX
---@field Encoder UDLDONNX
---@field QueryModel UDLDONNX
---@field U2NetPath FString
---@field EncoderPath FString
---@field QueryModelPath FString
local UDLDONNXImg2Mesh = {}



---@class UDLDONNXMedia2Motion : UObject
---@field PersonDetectorONNX UDLDONNX
---@field PoseEstimatorONNX UDLDONNX
local UDLDONNXMedia2Motion = {}



---@class UDLDONNXMeshSymmetry : UObject
local UDLDONNXMeshSymmetry = {}


---@class UDLDONNXNSFWDetector : UObject
---@field ONNX UDLDONNX
local UDLDONNXNSFWDetector = {}



---@class UDLDONNXSafetyCheck : UObject
---@field ONNX UDLDONNX
local UDLDONNXSafetyCheck = {}



---@class UDLDONNXTTS : UObject
---@field ONNX UDLDONNX
local UDLDONNXTTS = {}



---@class UDLDONNXTextEmbedding : UObject
---@field ONNX UDLDONNX
local UDLDONNXTextEmbedding = {}



---@class UDLDSentencePiece : UObject
---@field ModelFileInByte TArray<uint8>
local UDLDSentencePiece = {}



